Initiate User Action
Once you've identified the details, use this request to initiate the user action on a specific object record.
POST
/api/{version}/vobjects/{object_name}/{object_record_id}/actions/{lifecycle_action_name}Headers
Section link for Headers| Name | Description |
|---|---|
Content-Type | application/x-www-form-urlencoded |
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
object_name | The object name__v field value. |
object_record_id | The object record id field value from which to retrieve user actions. |
lifecycle_action_name | The name of the user action to be initiated. This is obtained from the Retrieve User Actions request above. |
Request Details
Section link for Request DetailsIn this example:
- The Content-Type header is set to accept name-value pairs in the input.
- We've specified the users and a group who will be part of the approval workflow.
- We've specified the due date of the workflow in UTC.
- We've configured the required product generic name field with a value.
- We've configured the optional product internal name and compound ID fields with values.
On SUCCESS, the specified user action is initiated on the object record.
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-d "approvers__c": "user:23423,user:5455,group:23421" \
-d "due_date__c": "2015-12-12T01:22:17.000Z" \
-d "product__v.generic_name__c": "cholepridol" \
-d "product__v.internal_name__c": "CholeCap" \
-d "product__v.compound_id__c": "CC-127" \
https://myvault.veevavault.com/api/v17.1/vobjects/product__v/0PR0771/actions/start_approval__vResponse
Section link for Response{
"responseStatus": "SUCCESS"
}